> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Skill



## OpenAPI

````yaml get /unified/hris/employees/{id}/skills/{subResourceId}
openapi: 3.1.0
info:
  title: HRIS
  description: The documentation for the StackOne Unified API - HRIS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Benefits
    description: Employee benefits and entitlements.
  - name: Companies
    description: Organizations or legal entities.
  - name: Custom Field Definitions
    description: Definitions for custom fields.
  - name: Documents
    description: Employee related documents.
  - name: Employees
    description: People employed by the company.
  - name: Employments
    description: Details of an employee's employment.
  - name: Groups
    description: Organizational groups or teams.
  - name: Jobs
    description: Job positions or roles.
  - name: Locations
    description: Physical or virtual work locations.
  - name: Positions
    description: Job positions available for hiring.
  - name: Shifts
    description: Employee work shifts and schedules.
  - name: Skills
    description: Skills and competencies tracked for employees.
  - name: Tasks
    description: Tasks or assignments for employees.
  - name: Time Entries
    description: Records of hours worked or activities performed.
  - name: Time Off
    description: Employee leave and time off records.
  - name: Time Off Balances
    description: Available leave balances for employees.
  - name: Time Off Policies
    description: Rules and policies for employee leave.
  - name: Training
    description: Training records for employees.
  - name: Training Content
    description: Training content for employees.
  - name: Work Eligibility
    description: Eligibility status for employment.
paths:
  /unified/hris/employees/{id}/skills/{subResourceId}:
    get:
      tags:
        - Employees
        - Skills
      summary: Get Employee Skill
      operationId: hris_get_employee_skill
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: subResourceId
          required: true
          in: path
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,name,active,language,maximum_proficiency,minimum_proficiency,unified_custom_fields
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: >-
            The skill related to the employee with the given identifiers was
            retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntitySkillResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    EntitySkillResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EntitySkills'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    EntitySkills:
      type: object
      properties:
        id:
          type: string
          description: The ID associated with this skill
          example: 16873-IT345
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name associated with this skill
          example: Information-Technology
          nullable: true
        active:
          description: Whether the skill is active and therefore available for use
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        language:
          description: The language associated with this skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/LanguageEnum'
        maximum_proficiency:
          description: The proficiency level of the skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Proficiency'
        minimum_proficiency:
          description: The proficiency level of the skill
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Proficiency'
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    LanguageEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - ar_AR
            - aa_ER
            - af_NA
            - af_ZA
            - am_ET
            - ar_AE
            - ar_BH
            - ar_DJ
            - ar_DZ
            - ar_EG
            - ar_ER
            - ar_IQ
            - ar_JO
            - ar_KM
            - ar_KW
            - ar_LB
            - ar_LY
            - ar_MA
            - ar_MR
            - ar_OM
            - ar_PS
            - ar_QA
            - ar_SA
            - ar_SD
            - ar_SY
            - ar_TD
            - ar_TN
            - ar_YE
            - ay_BO
            - ay_PE
            - az_AZ
            - az_IR
            - be_BY
            - bg_BG
            - bi_VU
            - bn_BD
            - bn_IN
            - bs_BA
            - bs-ME
            - byn_ER
            - ca_AD
            - ca_ES
            - ca_FR
            - ca_IT
            - ch_GU
            - cs_CZ
            - da_DK
            - de_AT
            - de_BE
            - de_CH
            - de_DE
            - de_LI
            - de_LU
            - de_VA
            - de_MV
            - dv_MV
            - dz_BT
            - el_CY
            - el_GR
            - en_AG
            - en_AI
            - en_AS
            - en_AU
            - en_BB
            - en_BE
            - en_BM
            - en_BS
            - en_BW
            - en_BZ
            - en_CA
            - en_CC
            - en_CK
            - en_CM
            - en_CW
            - en_CX
            - en_DG
            - en_DM
            - en_ER
            - en_FJ
            - en_FK
            - en_FM
            - en_GB
            - en_GD
            - en_GG
            - en_GH
            - en_GI
            - en_GM
            - en_GS
            - en_GU
            - en_GY
            - en_HK
            - en_IE
            - en_IM
            - en_IN
            - en_IO
            - en_JE
            - en_JM
            - en_KE
            - en_KI
            - en_KN
            - en_KY
            - en_LC
            - en_LR
            - en_LS
            - en_MF
            - en_MG
            - en_MH
            - en_MO
            - en_MP
            - en_MS
            - en_MT
            - en_MU
            - en_MW
            - en_MY
            - en_NA
            - en_NF
            - en_NG
            - en_NL
            - en_NR
            - en_NU
            - en_NZ
            - en_PG
            - en_PH
            - en_PK
            - en_PN
            - en_PR
            - en_PW
            - en_RW
            - en_SB
            - en_SC
            - en_SD
            - en_SG
            - en_SH
            - en_SL
            - en_SS
            - en_SX
            - en_SZ
            - en_TC
            - en_TK
            - en_TO
            - en_TT
            - en_TV
            - en_TZ
            - en_UG
            - en_UM
            - en_US
            - en_VC
            - en_VG
            - en_VI
            - en_VU
            - en_WS
            - en_ZA
            - en_ZM
            - en_ZW
            - es_AR
            - es_BO
            - es_BZ
            - es_CL
            - es_CO
            - es_CR
            - es_CU
            - es_DO
            - es_EA
            - es_EC
            - es_EH
            - es_ES
            - es_GQ
            - es_GT
            - es_HN
            - es_IC
            - es_LA
            - es_MX
            - es_NI
            - es_PA
            - es_PE
            - es_PH
            - es_PR
            - es_PY
            - es_SV
            - es_US
            - es_UY
            - es_VE
            - et_EE
            - fa_AF
            - fa_IR
            - fan_GA
            - ff_CM
            - ff_GN
            - ff_MR
            - ff_SN
            - ff_BF
            - fi_FI
            - fj_FJ
            - fo_FO
            - fr_BE
            - fr_BF
            - fr_BI
            - fr_BJ
            - fr_BL
            - fr_CA
            - fr_CD
            - fr_CF
            - fr_CG
            - fr_CH
            - fr_CI
            - fr_CM
            - fr_DJ
            - fr_DZ
            - fr_FR
            - fr_GA
            - fr_GF
            - fr_GG
            - fr_GN
            - fr_GP
            - fr_GQ
            - fr_HT
            - fr_KM
            - fr_JE
            - fr_LU
            - fr_LB
            - fr_MA
            - fr_MC
            - fr_MF
            - fr_MG
            - fr_ML
            - fr_MQ
            - fr_MR
            - fr_MU
            - fr_NC
            - fr_NE
            - fr_PF
            - fr_PM
            - fr_RE
            - fr_RW
            - fr_SC
            - fr_SN
            - fr_SY
            - fr_TD
            - fr_TF
            - fr_TG
            - fr_TN
            - fr_VU
            - fr_VA
            - fr_WF
            - fr_YT
            - ga_IE
            - gn_PY
            - gn_AR
            - gu_IN
            - gv_IM
            - he_IL
            - hi_IN
            - hr_BA
            - hr_HR
            - hr_ME
            - ht_HT
            - hu_HU
            - hy_AM
            - hy_CY
            - id_ID
            - is_IS
            - it_CH
            - it_IT
            - it_SM
            - it_VA
            - ja_JP
            - ka_GE
            - kg_CD
            - kk_KZ
            - kl_GL
            - km_KH
            - ko_KP
            - ko_KR
            - ku_IQ
            - ky_KG
            - la_VA
            - lb_LU
            - ln_AO
            - ln_CD
            - ln_CF
            - ln_CG
            - lo_LA
            - lt_LT
            - lu_CD
            - lv_LV
            - mg_MG
            - mh_MH
            - mi_NZ
            - mk_MK
            - mn_MN
            - mr_IN
            - ms_BN
            - ms_MY
            - ms_SG
            - mt_MT
            - my_MM
            - nb_NO
            - nb_BV
            - nb_ZW
            - ne_NP
            - nl_AW
            - nl_BE
            - nl_BQ
            - nl_CW
            - nl_NL
            - nl_SR
            - nl_SX
            - nl_MF
            - nn_NO
            - nn_BV
            - no_NO
            - no_BV
            - no_SJ
            - nr_ZA
            - ny_MW
            - pa_IN
            - pa_PK
            - pl_PL
            - ps_AF
            - pt_AO
            - pt_BR
            - pt_CH
            - pt_CV
            - pt_GQ
            - pt_GW
            - pt_LU
            - pt_MO
            - pt_MZ
            - pt_PT
            - pt_ST
            - pt_TL
            - qu_BO
            - qu_EC
            - qu_PE
            - rar_CK
            - rm_CH
            - rup_MK
            - ro_MD
            - ro_RO
            - ru_BY
            - ru_KG
            - ru_KZ
            - ru_MD
            - ru_RU
            - ru_UA
            - ru_AQ
            - ru_TJ
            - ru_TM
            - ru_UZ
            - rw_RW
            - se_SE
            - sg_CF
            - si_LK
            - sk_SK
            - sl_SI
            - sm_AS
            - sm_WS
            - sn_ZW
            - so_DJ
            - so_ET
            - so_KE
            - so_SO
            - sq_AL
            - sq_ME
            - sq_XK
            - sr_BA
            - sr_ME
            - sr_RS
            - sr_XK
            - ss_SZ
            - ss_ZA
            - sv_AX
            - sv_FI
            - sv_SE
            - sw_KE
            - sw_TZ
            - sw_UG
            - sw_CD
            - ta_IN
            - ta_MY
            - ta_SG
            - ta_LK
            - te_IN
            - tg_TJ
            - th_TH
            - ti_ER
            - ti_ET
            - tig_ER
            - tk_TM
            - tk_AF
            - tn_BW
            - tn_ZA
            - to_TO
            - tr_CY
            - tr_TR
            - ts_ZA
            - uk_UA
            - ur_IN
            - ur_PK
            - uz_AF
            - uz_UZ
            - ve_ZA
            - vi_VN
            - xh_ZA
            - zh_CN
            - zh_HK
            - zh_MO
            - zh_SG
            - zh_TW
            - zu_ZA
            - unmapped_value
            - null
          description: The Locale Code of the language
          example: en_GB
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Proficiency:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name associated with this proficiency
          example: Expert
          nullable: true
        value:
          type: string
          enum:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````